Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.optimize
Class InvalidOptimizableException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  cc.mallet.optimize.OptimizationException
                      cc.mallet.optimize.InvalidOptimizableException

All Implemented Interfaces:
  java.io.Serializable

    public class InvalidOptimizableException

extends OptimizationException

Exception thrown by optimization algorithms, when the problem is usually due to a problem with the given Maximizable instance.

If the optimizer throws this in your code, usually there are two possible causes: (a) you are computing the gradients approximately, (b) your value function and gradient do not match (this can be checking using

Version:
  $Id: InvalidMaximizableException.java,v 1.1 2007/10/22 21:37:39 mccallum Exp $
Author:
  Serialized Form

Constructor Summary
`InvalidOptimizableException()`
`InvalidOptimizableException(java.lang.String message)`
`InvalidOptimizableException(java.lang.String message, java.lang.Throwable cause)`
`InvalidOptimizableException(java.lang.Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidOptimizableException

    public InvalidOptimizableException()

### InvalidOptimizableException

    public InvalidOptimizableException(java.lang.String message)

### InvalidOptimizableException

    public InvalidOptimizableException(java.lang.String message,
                                       java.lang.Throwable cause)

### InvalidOptimizableException

    public InvalidOptimizableException(java.lang.Throwable cause)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD